# AB1

## Class AB1

- java.lang.Object
- - greenfoot.Actor
  - - Roboter
    - - AB1

    public class AB1
    extends Roboter

Die Klasse AB1 ist eine Unterklasse von Roboter. Sie erbt damit alle Attribute und Methoden der Klasse Roboter.

### Constructor Summary

Constructors
`AB1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `akkuAufnehmen()`
`void` `benutzeAkku()`
`void` `dreheLinks()` Der Roboter dreht sich um 90 Grad nach links (aus der Sicht des Roboters).
`void` `dreheRechts()` Der Roboter dreht sich um 90 Grad nach rechts (aus der Sicht des Roboters).
`void` `einsVor()` Der Roboter geht einen Schritt in die Pfeilrichtung.
`int` `getAnzahlSchrauben()`
`boolean` `istAufSchraube()`
`boolean` `istVorratLeer()`
`void` `schraubeAblegen()`
`void` `schraubeAufnehmen()`

### Methods inherited from class Roboter

`ablegen, addedToWorld, aufnehmen, benutze, dreheUm, gehilfeEinsetzen, getAnzahl, getAnzahl, getEnergie, hatGegenstand, istAufGegenstand, istAufGegenstand, istEnergieLeer, istInventarLeer, istVorne, istVorneFrei, istWandLinks, istWandRechts, istWandVorne, melde, setAnzahlVonGegenstand, setLocation, setRotation, verbraucheEnergie, warne`

### Methods inherited from class greenfoot.Actor

`act, getImage, getIntersectingObjects, getNeighbours, getObjectsAtOffset, getObjectsInRange, getOneIntersectingObject, getOneObjectAtOffset, getRotation, getWorld, getWorldOfType, getX, getY, intersects, isAtEdge, isTouching, move, removeTouching, setImage, setImage, turn, turnTowards`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AB1

    public AB1()

### Method Detail

#### einsVor

    public void einsVor()

Description copied from class: `Roboter`
Der Roboter geht einen Schritt in die Pfeilrichtung. Das macht er nur, wenn sich keine Wand vor ihm befindet oder er nicht an der Grenze der Welt zur Wand blickt.

Overrides:
  `einsVor` in class `Roboter`

#### dreheRechts

    public void dreheRechts()

Description copied from class: `Roboter`
Der Roboter dreht sich um 90 Grad nach rechts (aus der Sicht des Roboters).

Overrides:
  `dreheRechts` in class `Roboter`

#### dreheLinks

    public void dreheLinks()

Description copied from class: `Roboter`
Der Roboter dreht sich um 90 Grad nach links (aus der Sicht des Roboters).

Overrides:
  `dreheLinks` in class `Roboter`

#### schraubeAufnehmen

    public void schraubeAufnehmen()

#### schraubeAblegen

    public void schraubeAblegen()

#### getAnzahlSchrauben

    public int getAnzahlSchrauben()

#### istAufSchraube

    public boolean istAufSchraube()

#### istVorratLeer

    public boolean istVorratLeer()

#### akkuAufnehmen

    public void akkuAufnehmen()

#### benutzeAkku

    public void benutzeAkku()